Get a mapping set
get
/fscmRestApi/resources/11.13.18.05/accountingSetupMappingSets/{MappingSetId}
Request
Path Parameters
-
MappingSetId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : accountingSetupMappingSets-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the application.
-
Description: string
Title:
DescriptionMaximum Length:240The description of the mapping set. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MappingSetCode: string
Title:
Short NameMaximum Length:30The short name of the mapping set. -
MappingSetId: integer
Unique Identifier of the mapping set.
-
Name: string
Title:
NameMaximum Length:80The translated name of the mapping set. -
NumberInputs: integer
(int64)
Default Value:
0The number of input sources assigned to the mapping set. -
OutputType: string
Title:
Output TypeMaximum Length:1Default Value:AThe output type for the mapping set result. -
Source1: string
Read Only:
trueMaximum Length:255The value of the first input source. -
Source10: string
Read Only:
trueMaximum Length:255The value of the tenth input source. -
Source2: string
Read Only:
trueMaximum Length:255The value of the second input source. -
Source3: string
Read Only:
trueMaximum Length:255The value of the third input source. -
Source4: string
Read Only:
trueMaximum Length:255The value of the fourth input source. -
Source5: string
Read Only:
trueMaximum Length:255The value of the fifth input source. -
Source6: string
Read Only:
trueMaximum Length:255The value of the sixth input source. -
Source7: string
Read Only:
trueMaximum Length:255The value of the seventh input source. -
Source8: string
Read Only:
trueMaximum Length:255The value of the eighth input source. -
Source9: string
Read Only:
trueMaximum Length:255The value of the ninth input source. -
XlaAcctgMappingSetFlavor: array
Subledger Accounting Mapping Set Flavors
Title:
Subledger Accounting Mapping Set FlavorsA subledger accounting mapping set flavor contains information about the chart of accounts or value sets assigned to mapping sets. It stores details such as the mapping set short name, application identifier, identifier of the chart of accounts or value sets assigned to the mapping set and other information associated with the mapping set flavor. -
XlaAcctgMappingSetInput: array
Subledger Accounting Mapping Set Inputs
Title:
Subledger Accounting Mapping Set InputsA mapping set input identifies the source attributes evaluated when resolving a mapping set in Subledger Accounting.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Subledger Accounting Mapping Set Flavors
Type:
arrayTitle:
Subledger Accounting Mapping Set FlavorsA subledger accounting mapping set flavor contains information about the chart of accounts or value sets assigned to mapping sets. It stores details such as the mapping set short name, application identifier, identifier of the chart of accounts or value sets assigned to the mapping set and other information associated with the mapping set flavor.
Show Source
Nested Schema : Subledger Accounting Mapping Set Inputs
Type:
arrayTitle:
Subledger Accounting Mapping Set InputsA mapping set input identifies the source attributes evaluated when resolving a mapping set in Subledger Accounting.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : accountingSetupMappingSets-XlaAcctgMappingSetFlavor-item-response
Type:
Show Source
object-
DefaultCcid: integer
(int64)
Identifier of the default account combination.
-
DefaultConstant: string
Maximum Length:
240The default output value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MappingSetCode: string
Maximum Length:
30The short name of the mapping set. -
MappingSetFlavorId: integer
The unique identifier of the chart of accounts or value set assignment.
-
StripeId: integer
(int64)
The identifier of the chart of accounts or value set assigned to the mapping set.
-
ValueSetCode: string
Read Only:
trueMaximum Length:255The code of the value set associated with the mapping set flavor. -
XlaAcctgMappingSetValue: array
Subledger Mapping Set Values
Title:
Subledger Mapping Set ValuesA subledger mapping set value contains the output values that map to each combination of input values for subledger mapping sets. It consists of details such as the mapping set short name, application identifier, mapping set value identifier, input values, output value and other such information associated with the mapping set value.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Subledger Mapping Set Values
Type:
arrayTitle:
Subledger Mapping Set ValuesA subledger mapping set value contains the output values that map to each combination of input values for subledger mapping sets. It consists of details such as the mapping set short name, application identifier, mapping set value identifier, input values, output value and other such information associated with the mapping set value.
Show Source
Nested Schema : accountingSetupMappingSets-XlaAcctgMappingSetFlavor-XlaAcctgMappingSetValue-item-response
Type:
Show Source
object-
EffectiveEndDate: string
(date)
The date until which the mapping is effective.
-
EffectiveStartDate: string
(date)
The date from which the mapping is effective.
-
Enabled: string
Maximum Length:
1Default Value:YIndicates whether the mapping is enabled. A list of accepted values is defined in the lookup type YES_NO. -
InputValueConstant1: string
Maximum Length:
240The value of the first input source. -
InputValueConstant10: string
Maximum Length:
30The value of the tenth input source. -
InputValueConstant2: string
Maximum Length:
240The value of the second input source. -
InputValueConstant3: string
Maximum Length:
240The value of the third input source. -
InputValueConstant4: string
Maximum Length:
30The value of the fourth input source. -
InputValueConstant5: string
Maximum Length:
30The value of the fifth input source. -
InputValueConstant6: string
Maximum Length:
30The value of the sixth input source. -
InputValueConstant7: string
Maximum Length:
30The value of the seventh input source. -
InputValueConstant8: string
Maximum Length:
30The value of the eighth input source. -
InputValueConstant9: string
Maximum Length:
30The value of the ninth input source. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MappingSetCode: string
Maximum Length:
30The short name of the mapping set. -
MappingSetFlavorId: integer
The unique identifier of the chart of accounts or value set assignment.
-
MappingSetValueId: integer
(int64)
The unique identifier of mapping.
-
StripeId: integer
(int64)
The identifier of the chart of accounts or value set assigned to the mapping set.
-
TransactionCOAId: integer
The chart of accounts identifier associated with the input value. Populated only if the input source stores a code combination identifier.
-
ValueCodeCombinationId: integer
(int64)
The output code combination identifier assigned to the combination of input values. Populated only if the mapping set is defined to return a GL account combination.
-
ValueConstant: string
Maximum Length:
240The output value assigned to the combination of input values. Populated only if the mapping set is defined to return GL account segment value.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : accountingSetupMappingSets-XlaAcctgMappingSetInput-item-response
Type:
Show Source
object-
FlexSegment: string
Maximum Length:
30Accounting flexfield segment. -
InputSequence: integer
(int64)
The sequence used to display the input sources for a mapping set.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LookupType: string
Maximum Length:
30The lookup types assigned to the input source. -
MappingSetCode: string
Maximum Length:
30The short name of the mapping set. -
MappingSetInputId: integer
The unique identifier of the mapping set input source assignment.
-
SourceApplicationId: integer
(int64)
The application identifier of the input sources.
-
SourceCode: string
Maximum Length:
30The short name of the input source. -
SourceOriginCode: string
Maximum Length:
1The origin code of the source attribute used by the input. -
SourceTypeCode: string
Maximum Length:
1Indicate whether the input source is seeded. A list of accepted values is defined in the lookup type XLA_OWNER_TYPE. -
ValueSetCode: string
Read Only:
trueMaximum Length:255The code of the value set associated with the input source. -
ValueSetId: integer
(int64)
Identifier of the value set assigned to the input source.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- XlaAcctgMappingSetFlavor
-
Parameters:
- MappingSetId:
$request.path.MappingSetId
A subledger accounting mapping set flavor contains information about the chart of accounts or value sets assigned to mapping sets. It stores details such as the mapping set short name, application identifier, identifier of the chart of accounts or value sets assigned to the mapping set and other information associated with the mapping set flavor. - MappingSetId:
- XlaAcctgMappingSetInput
-
Parameters:
- MappingSetId:
$request.path.MappingSetId
A mapping set input identifies the source attributes evaluated when resolving a mapping set in Subledger Accounting. - MappingSetId: